FOAMDICTIONARY(1)

NAME
foamDictionary - part of OpenFOAM (The Open Source CFD Toolbox).

SYNOPSIS
foamDictionary [OPTIONS] dict

DESCRIPTION
Interrogate and manipulate dictionaries

ARGUMENTS

dict
    The dictionary file to process

OPTIONS

-add value
    Add a new entry

-case dir
    Specify case directory to use (instead of the cwd)

-decomposeParDict file
    Use specified file for decomposePar dictionary

-diff dict
    Write differences with respect to the specified dictionary

-diff-etc dict
    As per -diff, but locate the file as per foamEtcFile

-disableFunctionEntries
    Disable expansion of dictionary directives - #include, #codeStream etc

-entry name
    Report/select the named entry

-expand
    Read the specified dictionary file, expand the macros etc. and write the resulting dictionary to standard output

-includes
    List the #include/#sinclude files to standard output

-keywords
    List keywords

-parallel
    Run in parallel [Parallel option]

-precision int
    Set default write precision for IOstreams

-remove
    Remove the entry

-set value
    Set entry value or add new entry

-value
    Print entry value

-doc
    Display documentation in browser

-help
    Display short help and exit

-help-full
    Display full help and exit

  ADVANCED OPTIONS

-debug-switch name=val
    Specify the value of a registered debug switch. Default is 1 if the value is omitted. (Can be used multiple times)

-fileHandler handler
    Override the file handler type

-hostRoots ((host1 dir1) .. (hostN dirN))
    Per-host slave root directories for distributed running. The host specification can be a regex. [Parallel option]

-info-switch name=val
    Specify the value of a registered info switch. Default is 1 if the value is omitted. (Can be used multiple times)

-lib name
    Additional library or library list to load (can be used multiple times)

-noFunctionObjects
    Do not execute function objects

-opt-switch name=val
    Specify the value of a registered optimisation switch (int/bool). Default is 1 if the value is omitted. (Can be used multiple times)

-roots (dir1 .. dirN)
    Slave root directories for distributed running [Parallel option]

-doc-source
    Display source code in browser

-help-compat
    Display compatibility options and exit

-help-man
    Display full help (manpage format) and exit

-help-notes
    Display help notes (description) and exit

  COMPATIBILITY OPTIONS

-diffEtc (now -diff-etc)
    The option was last used in 1712.

SEE ALSO
Online documentation https://www.openfoam.com/documentation/

COPYRIGHT
Copyright © 2018-2019 OpenCFD Ltd.